Skip to main content

Create a new vehicle assessment

POST 

/v1/vehicle-assessments

Upload the images of the vehicle and get the assessment via webhooks

Request

Body

required
    registration_number stringnullable

    Registration number of the vehicle. Not required when fleet_vehicle_id is present. The stored fleet vehicle registration takes precedence.

    fleet_vehicle_id integernullable

    Integer fleet vehicle ID returned by the add vehicles endpoint. The vehicle must belong to the authenticated insurer and can only be used for a pre-policy assessment.

    assessment_type stringrequired

    Possible values: [pre-policy, post-loss]

    Type of assessment

    pre_policy_assessment_id string

    Required when assessment_type is post-loss. ID of the pre-policy assessment.

    images object[]required

    Possible values: >= 1

    Image URLs of the vehicle. Invalid front, rear, left, and right images return the standard validation response with the image reason appended to each part message.

  • Array [
  • url stringrequired

    URL of the file

    part stringrequired

    Possible values: [left, right, rear, front, dashboard, vin-plate, license-plate, video]

    Side of the vehicle

  • ]

Responses

OK

Schema
    id integer

    ID of the pre-policy assessment

    fleet_vehicle_id integer

    Fleet vehicle ID. Returned only when the assessment is for a fleet vehicle.

    fleet_id string

    Public fleet ULID. Returned only when the assessment is for a fleet vehicle.

    assessment_id integer

    ID of the post-loss assessment

    claim_id integer

    ID of the claim created for a post-loss assessment

    info string

    Information about the assessment

Loading...